********************************************************************************
***Paper: 	Pareto-improving tax reforms and the Earned Income Tax Credit****************
***Authors: Felix Bierbrauer, Pierre Boyer, Emanuel Hansen**********************
***Date: 2022-11-22********************************************************
********************************************************************************
***Replication files************************************************************
********************************************************************************


***This is the master file****
*********************************

*Written on Stata version 15.1
*Tested on versions:
*15.1
*17.0


***********
***Settings

cap log close
set more off

*year
global year 1974

**************
***Working directory

***IMPORTANT: Adapt the following path
local dir "...\Replication_Files_BBH"

cd "`dir'"

**************
***Useful paths

*The following defines paths to output and data sub-folders

*By default, paths use the Windows syntax
*Mac and Linux users can comment / uncomment the relevant blocks below

global raw "`dir'\raw\"
global data "`dir'\data\"
global tax "`dir'\tax\"
global graphs "`dir'\graphs\"
global latex "`dir'\latex\"

// global raw "`dir'/raw/"
// global data "`dir'/data/"
// global tax "`dir'/tax/"
// global graphs "`dir'/graphs/"
// global latex "`dir'/latex/"

*******************************************
***Do-files for different steps of analysis

***Do-file for preparing dataset
do CPS1_data_Replication

***Do-file producing descriptives for benchmark sample
do CPS2_desc_Replication

***Do-file to calculate the revenue function y->R(y) for single parents
do R1_sp_Replication

***Do-file to calculate the revenue gain (Gateaux differential) for 1975 EITC reform, single parents
do R2_sp_Replication

***Do-file to identify the optimal reform given 1974 US tax-transfer system for single parents
do R3_sp_Replication

***Do-file to calculate revenue function y -> R(y) for childless singles,
***revenue gain from (counterfactual) 1975 EITC reform for childless singles,
***and optimal reform given 1974 tax-transfer system for childles singles
do R4_cs_Replication


