*********************************************************
***This do-file generates tax-transfer schedules and effective tax rates 
***for single parents with 2 children, 1974
*********************************************************
***(Calculation of tax rates is done in Excel file in Replication folder)
*********************************************************


*Define tax-transfer schedule (net tax liability) from combination of federal income tax with transfers AFDC and SNAP
gen T = .
label var T "Tax-Transfer Function"

replace T= -3608 + 0.25245 *y if y<= 738 & T==.
replace T= -3953 + 0.71935 *y if y<= 3550 & T==.
replace T= -4301 + 0.81735 *y if y<= 3600 & T==.
replace T= -4409 + 0.84735 *y if y<= 4550 & T==.
replace T= -4472 + 0.86135 *y if y<= 5433 & T==.
replace T= -1936 + 0.39445 *y if y<= 5550 & T==.
replace T= -2013 + 0.40845 *y if y<= 5748 & T==.
replace T= -699 + 0.18 *y if y<= 7550 & T==.
replace T= -775 + 0.19 *y if y<= 8667 & T==.
replace T= -528 + 0.1615 *y if y<= 9706 & T==.
replace T= -775 + 0.187 *y if y<= 12059 & T==.
replace T= -878 + 0.1955 *y if y<= 13333 & T==.
replace T= -1338 + 0.23 *y if y<= 14250 & T==.
replace T= -1623 + 0.25 *y if y<= 16250 & T==.
replace T= -1948 + 0.27 *y if y<= 18250 & T==.
replace T= -2130 + 0.28 *y if y<= 20250 & T==.
replace T= -2738 + 0.31 *y if y<= 22250 & T==.
replace T= -2960 + 0.32 *y if y<= 24250 & T==.
replace T= -3688 + 0.35 *y if y<= 26250 & T==.
replace T= -3950 + 0.36 *y if y<= 28250 & T==.
replace T= -4515 + 0.38 *y if y<= 30250 & T==.
replace T= -5423 + 0.41 *y if y<= 32250 & T==.
replace T= -5745 + 0.42 *y if y<= 36250 & T==.
replace T= -6833 + 0.45 *y if y<= 40250 & T==.
replace T= -8040 + 0.48 *y if y<= 42250 & T==.
replace T= -9308 + 0.51 *y if y<= 44250 & T==.
replace T= -9750 + 0.52 *y if y<= 48250 & T==.
replace T= -11198 + 0.55 *y if y<= 54250 & T==.
replace T= -11740 + 0.56 *y if y<= 56250 & T==.
replace T= -12865 + 0.58 *y if y<= 68250 & T==.
replace T= -13548 + 0.59 *y if y<= 74250 & T==.
replace T= -15033 + 0.61 *y if y<= 80250 & T==.
replace T= -15835 + 0.62 *y if y<= 84250 & T==.
replace T= -16678 + 0.63 *y if y<= 92250 & T==.
replace T= -17600 + 0.64 *y if y<= 104250 & T==.
replace T= -19685 + 0.66 *y if y<= 124250 & T==.
replace T= -20928 + 0.67 *y if y<= 144250 & T==.
replace T= -22370 + 0.68 *y if y<= 164250 & T==.
replace T= -24013 + 0.69 *y if y<= 184250 & T==.
replace T= -25855 + 0.7 *y if y> 184250 & T==.




*Define effective marginal tax rate 
gen Tprime = .
label var Tprime "Effective marginal tax rate"

replace Tprime= 0.25245 if y<= 738 & Tprime==.
replace Tprime= 0.71935 if y<= 3550 & Tprime==.
replace Tprime= 0.81735 if y<= 3600 & Tprime==.
replace Tprime= 0.84735 if y<= 4550 & Tprime==.
replace Tprime= 0.86135 if y<= 5433 & Tprime==.
replace Tprime= 0.39445 if y<= 5550 & Tprime==.
replace Tprime= 0.40845 if y<= 5748 & Tprime==.
replace Tprime= 0.18 if y<= 7550 & Tprime==.
replace Tprime= 0.19 if y<= 8667 & Tprime==.
replace Tprime= 0.1615 if y<= 9706 & Tprime==.
replace Tprime= 0.187 if y<= 12059 & Tprime==.
replace Tprime= 0.1955 if y<= 13333 & Tprime==.
replace Tprime= 0.23 if y<= 14250 & Tprime==.
replace Tprime= 0.25 if y<= 16250 & Tprime==.
replace Tprime= 0.27 if y<= 18250 & Tprime==.
replace Tprime= 0.28 if y<= 20250 & Tprime==.
replace Tprime= 0.31 if y<= 22250 & Tprime==.
replace Tprime= 0.32 if y<= 24250 & Tprime==.
replace Tprime= 0.35 if y<= 26250 & Tprime==.
replace Tprime= 0.36 if y<= 28250 & Tprime==.
replace Tprime= 0.38 if y<= 30250 & Tprime==.
replace Tprime= 0.41 if y<= 32250 & Tprime==.
replace Tprime= 0.42 if y<= 36250 & Tprime==.
replace Tprime= 0.45 if y<= 40250 & Tprime==.
replace Tprime= 0.48 if y<= 42250 & Tprime==.
replace Tprime= 0.51 if y<= 44250 & Tprime==.
replace Tprime= 0.52 if y<= 48250 & Tprime==.
replace Tprime= 0.55 if y<= 54250 & Tprime==.
replace Tprime= 0.56 if y<= 56250 & Tprime==.
replace Tprime= 0.58 if y<= 68250 & Tprime==.
replace Tprime= 0.59 if y<= 74250 & Tprime==.
replace Tprime= 0.61 if y<= 80250 & Tprime==.
replace Tprime= 0.62 if y<= 84250 & Tprime==.
replace Tprime= 0.63 if y<= 92250 & Tprime==.
replace Tprime= 0.64 if y<= 104250 & Tprime==.
replace Tprime= 0.66 if y<= 124250 & Tprime==.
replace Tprime= 0.67 if y<= 144250 & Tprime==.
replace Tprime= 0.68 if y<= 164250 & Tprime==.
replace Tprime= 0.69 if y<= 184250 & Tprime==.
replace Tprime= 0.7 if y> 184250 & Tprime==.



*Define effective participation tax (level)
gen TP = .
label var TP "Effective participation tax"

replace TP = T + 3608

*Define effective participation tax rate 
gen TPprime = .
label var TPprime "Effective participation tax rate"
replace TPprime = TP/y
replace TPprime = 0 if y==0

