*********************************************************
***This do-file generates tax-transfer schedules and effective tax rates 
***for childless singles, 1974
*********************************************************
***(Calculation of tax rates is done in Excel file in Replication folder)
*********************************************************


*Define tax-transfer schedule (net tax liability) from combination of federal income tax with transfers AFDC and SNAP
gen T = .
label var T "Tax-Transfer Function"

replace T = 0.25245 * y  - 552 if y <= 2050 & T==.
replace T = 0.35045 * y - 753 if y <=  2214 & T==.
replace T = 0.14 * y - 287 if y <=   2550 & T==.
replace T = 0.15 * y - 313  if y <=  3050 & T==.
replace T = 0.16 *  y - 343 if y <=  3550 & T==.
replace T = 0.17 * y - 379 if y <=  4050 & T==.
replace T = 0.19 * y - 460 if y <=  6050 & T==.
replace T = 0.21 * y - 581 if y <= 8050 & T==.
replace T = 0.24 * y - 822 if y <=  8667 & T==.
replace T = 0.204 * y - 510 if y <= 10294 & T==.
replace T = 0.2125 * y - 598 if y <=  12647 & T==.
replace T = 0.2295 * y - 813 if y <=  13333 & T==.
replace T = 0.27 * y - 1353 if y <=   14750 & T==.
replace T = 0.29 * y - 1648 if y <=  16750 & T==.
replace T = 0.31 * y - 1983 if y <=  18750 & T==.
replace T = 0.34 * y - 2545 if y <=  20750 & T==.
replace T = 0.36 * y - 2960 if y <=  22750 & T==.
replace T = 0.38 * y - 3415 if y <=  24750 & T==.
replace T = 0.40 * y - 3910 if y <=  28750 & T==.
replace T = 0.45 * y - 5348 if y <=  34750 & T==.
replace T = 0.50 * y - 7085 if y <=  40750 & T==.
replace T = 0.55 * y - 9123 if y <=  46750 & T==.
replace T = 0.60 * y - 11460 if y <=  52750 & T==.
replace T = 0.62 * y - 12515 if y <=  62750 & T==.
replace T = 0.64 * y - 13770 if y <=  72750 & T==.
replace T = 0.66 * y - 15225 if y <=  82750 & T==.
replace T = 0.68 * y - 16880 if y <=  92750 & T==.
replace T = 0.69 * y - 17808 if y <=  102750 & T==.
replace T = 0.70 * y - 18835 if y > 102750 & T==.

*Define effective marginal tax rate 
gen Tprime = .
label var Tprime "Effective marginal tax rate"


replace Tprime = 0.25245 if y <= 2050 & Tprime==.
replace Tprime = 0.35045 if y <=  2214 & Tprime==.
replace Tprime = 0.14 if y <=   2550 & Tprime==.
replace Tprime = 0.15 if y <=  3050 & Tprime==.
replace Tprime = 0.16 if y <=  3550 & Tprime==.
replace Tprime = 0.17 if y <=  4050 & Tprime==.
replace Tprime = 0.19 if y <=  6050 & Tprime==.
replace Tprime = 0.21 if y <= 8050 & Tprime==.
replace Tprime = 0.24 if y <=  8667 & Tprime==.
replace Tprime = 0.204 if y <=  10294 & Tprime==.
replace Tprime = 0.2125 if y <=  12647 & Tprime==.
replace Tprime = 0.2295 if y <=  13333 & Tprime==.
replace Tprime = 0.27 if y <=   14750 & Tprime==.
replace Tprime = 0.29 if y <=  16750 & Tprime==.
replace Tprime = 0.31 if y <=  18750 & Tprime==.
replace Tprime = 0.34 if y <=  20750 & Tprime==.
replace Tprime = 0.36 if y <=  22750 & Tprime==.
replace Tprime = 0.38 if y <=  24750 & Tprime==.
replace Tprime = 0.40 if y <=  28750 & Tprime==.
replace Tprime = 0.45 if y <=  34750 & Tprime==.
replace Tprime = 0.50 if y <=  40750 & Tprime==.
replace Tprime = 0.55 if y <=  46750 & Tprime==.
replace Tprime = 0.60 if y <=  52750 & Tprime==.
replace Tprime = 0.62 if y <=  62750 & Tprime==.
replace Tprime = 0.64  if y <=  72750 & Tprime==.
replace Tprime = 0.66  if y <=  82750 & Tprime==.
replace Tprime = 0.68  if y <=  92750 & Tprime==.
replace Tprime = 0.69  if y <=  102750 & Tprime==.
replace Tprime = 0.70  if y > 102750 & Tprime==.


*Define effective participation tax (level)
gen TP = .
label var TP "Effective participation tax"

replace TP = T + 552 

*Define effective participation tax rate 
gen TPprime = .
label var TPprime "Effective participation tax rate"

replace TPprime = TP/y
replace TPprime = 0 if y==0

